#!/bin/bash

EXIT_CODE=0

# Check for upgrade file
if [ -e /opt/init/upgrade/firmware.tar.gz ]; then
  # Check integrity of archive here...
  gunzip -t /opt/init/upgrade/firmware.tar.gz

  # Check result code of archive integrity
  if [ $? -eq 0 ]; then
    # Good archive. Extract start upgrade script
    cd / && tar zxvf /opt/init/upgrade/firmware.tar.gz opt/init/upgrade/start_upgrade.sh > /dev/null 2>&1
    # Do the actual upgrade
    cd /opt && init/upgrade/start_upgrade.sh
  else
    # -4 = UPGRADE_ERROR_ARCHIVE_INTEGRITY (see upgrade.h)
    EXIT_CODE=4
  fi
  
  # Remove upgrade stuff
  rm -rf /opt/init/upgrade/*
  
  if [ $EXIT_CODE -eq 0 ]; then
    # Reboot
    reboot
  fi
fi

# Remove recovery update image. Preventing u-boot from running image again.
rm -f /boot/amupdate.img

exit $EXIT_CODE

