#!/bin/bash

source /opt/bin/setup_application.sh

# base
cd /opt

bin/stop_application.sh

echo "Starting System server ..."
(bin/system_server > /tmp/system_server.log 2>&1) &

echo "Starting IO server ..."
(bin/io_server > /tmp/io_svr.log 2>&1) &

echo "Starting J1939 server ..."
(bin/j1939_svr > /tmp/j1939_svr.log 2>&1) &

echo "Starting J1939:2 server ..."
(bin/j1939_2_svr > /tmp/j1939_2_svr.log 2>&1) &

echo "Starting RIO server ..."
(bin/modbus_rio_server > /tmp/modbus_rio_server.log 2>&1) &

echo "Starting Modbus TCP server ..."
(bin/modbustcp_server > /tmp/modbustcp_server.log 2>&1) &

echo "Starting Http server ..."
(RP_LOG_LEVEL=0 bin/httpd > /tmp/httpd.log 2>&1) &

echo "Starting RP210 gui ...."
(bin/RP210 -qws -geometry -0-0 -nomouse > /tmp/RP210.log 2>&1) &
